﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;


namespace Monorail.Exceptions
{
    [Serializable]
    internal class MonorailNotFoundException : ApplicationException
    {
        public MonorailNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public MonorailNotFoundException() : base () { }
        public MonorailNotFoundException(string message) : base(message) { }
        public MonorailNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected MonorailNotFoundException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
